# Uses of Class
javax.swing.UIManager.LookAndFeelInfo

Packages that use UIManager.LookAndFeelInfo
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.

## Uses of UIManager.LookAndFeelInfo in javax.swing

Methods in javax.swing that return UIManager.LookAndFeelInfo
Modifier and Type
Method
Description
`static UIManager.LookAndFeelInfo[]`
UIManager.`getInstalledLookAndFeels()`
Returns an array of `LookAndFeelInfo`s representing the `LookAndFeel` implementations currently available.
Methods in javax.swing with parameters of type UIManager.LookAndFeelInfo
Modifier and Type
Method
Description
`static void`
UIManager.`installLookAndFeel(UIManager.LookAndFeelInfo info)`
Adds the specified look and feel to the set of available look and feels.
`static void`
UIManager.`setInstalledLookAndFeels(UIManager.LookAndFeelInfo[] infos)`
Sets the set of available look and feels.